require "defines"

local itemprototypes

game.onevent(defines.events.ontick, function(event)
	if event.tick%120==15  then -- Every 2 seconds
		if itemprototypes == nil then
			itemprototypes = game.itemprototypes -- This takes time so only do it once
		end
		game.getplayer().print("Random number 1: " .. getDataString(itemprototypes, "DATA-RANDOM1")) -- Get and print a value with "DATA-RANDOM1" header
		game.getplayer().print("Random number 2: " .. getDataString(itemprototypes, "DATA-RANDOM2"))
	end
end)

function getDataString(itemprototypes, header)
	for name, value in pairs(itemprototypes) do
		if string.starts(name, header) then
			local splitString = string.split(name)
			if splitString ~= nil and splitString[2] ~= nil then
				return splitString[2]
			end
		end
	end
end

function string.starts(stringA, Start)
   return string.sub(stringA,1,string.len(Start))==Start
end

function string.split(stringA,sep)
	local sep, fields = sep or ":", {}
	local pattern = string.format("([^%s]+)", sep)
	stringA:gsub(pattern, function(c) fields[#fields+1] = c end)
	return fields
end